Autor Thema: Ungültiges oder beschädigtes Paket...  (Gelesen 429 mal)

0 Mitglieder und 1 Gast betrachten dieses Thema.

Offline --stefan--

  • Neuling
  • *
  • Beiträge: 12
  • Desktop: Cinnamon 4.0.5 + xfce
  • Grafikkarte: Intel Corporation Xeon E3-1200 v2/3rd Gen Core processor Graphics Controller
  • Grafikkartentreiber: free
  • Kernel: 4.19.8-2-MANJARO
  • Prozessor: Intel© Core™ i3-3220 CPU @ 3.30GHz × 2
  • Skill: Anfänger
Ungültiges oder beschädigtes Paket...
« am: 26. Juli 2019, 10:32:58 »
Hallo an alle, die das lesen,
ich komme gerade aus dem Urlaub wieder und starte die Aktualisierung. Bei einem Rechner läuft sie sauber durch. Bei dem anderen kommt eine seltsame Fehlermeldung.
Synchronisiere Paketdatenbanken...
Starte komplettes System-Upgrade...
Fehler: Konnte Datei /var/lib/pacman/local/dnsmasq-2.80-3/desc nicht öffnen: Datei oder Verzeichnis nicht gefunden
Fehler: Konnte Datei /var/lib/pacman/local/linux419-rt-4.19.59_rt23-1/desc nicht öffnen: Datei oder Verzeichnis nicht gefunden
Abhängigkeiten werden aufgelöst...
Interne Konflikte werden überprüft...
Warnung: Konnte die Metadaten für Paket dnsmasq-2.80-3 nicht vollständig laden
Vorgang konnte nicht erfolgreich vorbereitet werden:
Ungültiges oder beschädigtes Paket

Die im Forum bei ähnlichen Fehlern empfohlene Vorgehensweise:
sudo pacman -Sy archlinux-keyring manjaro-keyring
sudo pacman-key --populate archlinux manjaro
sudo pacman-key --refresh-keys
sudo pacman -Syu
brachte keinen Erfolg.

Die angegebene Datei existiert auch nicht.
Wer hat eine neue Idee für mich?
Vielen Dank
Stefan

Offline quantix

  • Sr. Mitglied
  • ****
  • Beiträge: 489
  • Dankeschön: 64 mal
  • Desktop: Xfce + fish
  • Grafikkarte: Ati RS880M / GeForce GT 730
  • Grafikkartentreiber: free / nonfree
  • Kernel: 5.0 / 5.0
  • Prozessor: AMD Phenom II P920 / i5-4460
  • Skill: Anfänger
  • Zweig: stable
Re: Ungültiges oder beschädigtes Paket...
« Antwort #1 am: 26. Juli 2019, 13:34:04 »
Möglicherweise liegt es an den Mirrors. Aktualisiere sie mal mit
sudo pacman-mirrors -f 5 && sudo pacman -Syyudie Zahl gibt die Anzal der Mirrors an, oder
sudo pacman-mirrors -c German && sudo pacman -Syyusudo pacman-mirrors --geoip && sudo pacman -Syyu
Wiki

Alles sollte so einfach wie möglich sein - aber nicht einfacher.
Albert Einstein

PGV ecogold, HP Pavilion dv7, Raspberry
Folgende Mitglieder bedankten sich: --stefan--

Offline --stefan--

  • Neuling
  • *
  • Beiträge: 12
  • Desktop: Cinnamon 4.0.5 + xfce
  • Grafikkarte: Intel Corporation Xeon E3-1200 v2/3rd Gen Core processor Graphics Controller
  • Grafikkartentreiber: free
  • Kernel: 4.19.8-2-MANJARO
  • Prozessor: Intel© Core™ i3-3220 CPU @ 3.30GHz × 2
  • Skill: Anfänger
Re: Ungültiges oder beschädigtes Paket...
« Antwort #2 am: 26. Juli 2019, 16:51:04 »
Hallo quantix,
vielen Dank für deine Antwort.
Ich habe ausprobiert:
sudo pacman-mirrors --geoip && sudo pacman -Syyu
::INFO Downloading mirrors from repo.manjaro.org
::INFO User generated mirror list
::------------------------------------------------------------
::INFO Custom mirror file saved: /var/lib/pacman-mirrors/custom-mirrors.json
::INFO Using default mirror file
::INFO Querying mirrors - This may take some time
  0.408 Germany        : https://mirror.alpix.eu/manjaro/
  0.377 Germany        : https://mirror.23media.com/manjaro/
  0.277 Germany        : http://mirror.23media.com/manjaro/
  0.391 Germany        : https://mirror.philpot.de/manjaro/
  0.271 Germany        : http://mirror.philpot.de/manjaro/
  0.281 Germany        : https://manjaro.moson.eu/
  0.248 Germany        : http://manjaro.moson.eu/
::INFO Writing mirror list
::Germany         : https://manjaro.moson.eu/stable
::Germany         : https://mirror.philpot.de/manjaro/stable
::Germany         : https://mirror.23media.com/manjaro/stable
::Germany         : https://mirror.alpix.eu/manjaro/stable
::INFO Mirror list generated and saved to: /etc/pacman.d/mirrorlist
:: Synchronisiere Paketdatenbanken...
 core                     148,9 KiB   823K/s 00:00 [######################] 100%
 extra                   1759,7 KiB   828K/s 00:02 [######################] 100%
 community                  5,3 MiB   819K/s 00:07 [######################] 100%
 multilib                 183,2 KiB   844K/s 00:00 [######################] 100%
:: Starte vollständige Systemaktualisierung...
Fehler: Konnte Datei /var/lib/pacman/local/dnsmasq-2.80-3/desc nicht öffnen: Datei oder Verzeichnis nicht gefunden
Löse Abhängigkeiten auf...
Fehler: Konnte Datei /var/lib/pacman/local/linux419-rt-4.19.59_rt23-1/desc nicht öffnen: Datei oder Verzeichnis nicht gefunden
Suche nach in Konflikt stehenden Paketen...
Warnung: Konnte die Metadaten für Paket dnsmasq-2.80-3 nicht vollständig laden
Fehler: Konnte den Vorgang nicht vorbereiten (Ungültiges oder beschädigtes Paket)

Leider gibt es keine Veränderung.

Offline SpiritOfTux

  • Held Mitglied
  • *****
  • Beiträge: 1248
  • Dankeschön: 188 mal
    • https://twitter.com/SpiritOfTux
  • Desktop: KDE Plasma, Deepin
  • Grafikkarte: NVIDIA [GeForce GTX 1060] [GeForce GTX 560 Ti] [GeForce GT 635M]
  • Grafikkartentreiber: On: NB Intel/Nvidia, HTPC Nvidia, PowerWorkStation Nvidia
  • Kernel: LTS, 4.19.y LTS, 4.14.y LTS,
  • Prozessor: Notebook: Intel(R) Core(TM) i5-3230M CPU @ 2.60GHz
  • Skill: Fortgeschritten
  • Zweig: Stable 18.n.y on PowerWorkStation, NB, HTPC, Desktop:s: Testing or Unstable only VM
Re: Ungültiges oder beschädigtes Paket...
« Antwort #3 am: 26. Juli 2019, 18:53:25 »
Moin @--stefan--

warum soll das Packages " dnsmasq-2.80-3 " installiert werden.

Aktuell ist dies Packages
dnsmasq Lightweight, easy to configure DNS forwarder and DHCP server

Internetseite/URL http://www.thekelleys.org.uk/dnsmasq/doc.html
Version      2.80-4            <<===========
Lizenzen   GPL
Hängt ab von   glibc gmp libidn2 libdbus libnetfilter_conntrack nettle
Optional für networkmanager
Größe des Downloads 0.00 Bytes
Größe bei Installation  737.00 KiB
Packager Evangelos Foutras <evangelos@foutrelis.com>
Architektur x86_64
Bild Datum Sonntag, 30. Juni 2019 13:35:46 CEST
Installationsgrund Explicitly installed

Vielen Dank, dass du diesen Artikel bei uns gelesen hast!  Wir würden uns sehr freuen, wenn du diesen ebenfalls im folgenden Abschnitt bewerten würdest.(Danke sagen) 
Nach hilfreichen Antworten suchen: Manjaro Forum | Manjaro Wiki | Arch Wiki | Arch WiKi on NB/PC : sudo pacman -S arch-wiki-man https://github.com/greg-js/arch-wiki-man#readme
Folgende Mitglieder bedankten sich: --stefan--

Offline --stefan--

  • Neuling
  • *
  • Beiträge: 12
  • Desktop: Cinnamon 4.0.5 + xfce
  • Grafikkarte: Intel Corporation Xeon E3-1200 v2/3rd Gen Core processor Graphics Controller
  • Grafikkartentreiber: free
  • Kernel: 4.19.8-2-MANJARO
  • Prozessor: Intel© Core™ i3-3220 CPU @ 3.30GHz × 2
  • Skill: Anfänger
Re: Ungültiges oder beschädigtes Paket...
« Antwort #4 am: 27. Juli 2019, 12:41:26 »
Hallo SpiritOfTux,
das habe ich mich auch gefragt. Kann aber nicht erkennen, welche Aktualisierung damit zusammenhängt.

Viele Grüße
Stefan

Offline tetzlaff

  • Vollwertiges Mitglied
  • ***
  • Beiträge: 142
  • Dankeschön: 16 mal
  • Grafikkarte: Nvidia
  • Grafikkartentreiber: free
  • Kernel: 5
  • Prozessor: AMD T1090
  • Skill: Durchschnitt
  • Zweig: stable
Re: Ungültiges oder beschädigtes Paket...
« Antwort #5 am: 27. Juli 2019, 13:40:10 »
Hallo,

die Frage ist auch wer das Paket überhaupt braucht (NetworkManager "optional")
Ich brauche es jedenfalls mit meinem Xfce nicht und habe es auch nicht installiert.

Ob es unbedingt ein rt-kernel sein muß, ist auch fraglich.

Helfen könnte eventuell auch ein:
sudo pacman -Syuuum das aufzulösen.

mfg

Manjaro, Artix-Linux, Devuan
Folgende Mitglieder bedankten sich: --stefan--

Offline SpiritOfTux

  • Held Mitglied
  • *****
  • Beiträge: 1248
  • Dankeschön: 188 mal
    • https://twitter.com/SpiritOfTux
  • Desktop: KDE Plasma, Deepin
  • Grafikkarte: NVIDIA [GeForce GTX 1060] [GeForce GTX 560 Ti] [GeForce GT 635M]
  • Grafikkartentreiber: On: NB Intel/Nvidia, HTPC Nvidia, PowerWorkStation Nvidia
  • Kernel: LTS, 4.19.y LTS, 4.14.y LTS,
  • Prozessor: Notebook: Intel(R) Core(TM) i5-3230M CPU @ 2.60GHz
  • Skill: Fortgeschritten
  • Zweig: Stable 18.n.y on PowerWorkStation, NB, HTPC, Desktop:s: Testing or Unstable only VM
Re: Ungültiges oder beschädigtes Paket...
« Antwort #6 am: 27. Juli 2019, 13:46:04 »
Der Lösungvorschlag befinde sich hier ;)

https://forum.manjaro.org/t/19-february-2019-system-update-issues-which-i-encountered/76257

Der ganz schnelle Weg
sudo touch /var/lib/pacman/local/dnsmasq-2.80-3/desc
# Rechner neu starten

Anderer Weg:
siehe (copy & paste)
sudo pacman -Syyu
sudo pacman -Rdd dnsmasq
sudo pacman -S dnsmasq --overwrite '*'

# Rechner neu starten (laut deinem Profile)
# Rechner neu starten Cinnamon, OK?
# Rechner neu starten XFCE, OK?

Viel Erfolg
SpiritOfTux
« Letzte Änderung: 27. Juli 2019, 13:52:35 von SpiritOfTux »
Vielen Dank, dass du diesen Artikel bei uns gelesen hast!  Wir würden uns sehr freuen, wenn du diesen ebenfalls im folgenden Abschnitt bewerten würdest.(Danke sagen) 
Nach hilfreichen Antworten suchen: Manjaro Forum | Manjaro Wiki | Arch Wiki | Arch WiKi on NB/PC : sudo pacman -S arch-wiki-man https://github.com/greg-js/arch-wiki-man#readme
Folgende Mitglieder bedankten sich: --stefan--

Offline --stefan--

  • Neuling
  • *
  • Beiträge: 12
  • Desktop: Cinnamon 4.0.5 + xfce
  • Grafikkarte: Intel Corporation Xeon E3-1200 v2/3rd Gen Core processor Graphics Controller
  • Grafikkartentreiber: free
  • Kernel: 4.19.8-2-MANJARO
  • Prozessor: Intel© Core™ i3-3220 CPU @ 3.30GHz × 2
  • Skill: Anfänger
Re: Ungültiges oder beschädigtes Paket...
« Antwort #7 am: 27. Juli 2019, 14:13:50 »
Hallo SpiritOfTux,
vielen Dank erst einmal.
Die Aktualisierung läuft jetzt erst mal an und ich bin gespannt, ob sie auch durchläuft.
Wenn alles ok ist, dann melde ich mich noch mal...
Und irgendwie muss ich den Beitrag auch auf "gelöst" stellen... das weiß ich noch nicht, wie man das macht.
Viele Grüße
Stefan

Offline --stefan--

  • Neuling
  • *
  • Beiträge: 12
  • Desktop: Cinnamon 4.0.5 + xfce
  • Grafikkarte: Intel Corporation Xeon E3-1200 v2/3rd Gen Core processor Graphics Controller
  • Grafikkartentreiber: free
  • Kernel: 4.19.8-2-MANJARO
  • Prozessor: Intel© Core™ i3-3220 CPU @ 3.30GHz × 2
  • Skill: Anfänger
Re: Ungültiges oder beschädigtes Paket...
« Antwort #8 am: 27. Juli 2019, 15:22:23 »
Gelöst.
Danke an Alle, die es versucht haben und besonderen Dank an SpiritOfTux :)